For the complete documentation index, see llms.txt. This page is also available as Markdown.

Applications personnalisées

Récupérer les configurations des applications mobiles personnalisées

Lister les applications personnalisées

get

Retourne toutes les applications personnalisées au format court. Lorsqu'aucune n'est configurée, retourne l'application par défaut au format complet.

Autorisations
OAuth2passwordRequis

Envoyez l'access token sous la forme Authorization: Bearer <token>.

Token URL: Refresh URL:

OAuth2authorizationCodeRequis

Envoyez l'access token sous la forme Authorization: Bearer <token>.

Authorization URL: Token URL: Refresh URL:
Paramètres de chemin
app_shortstringRequis

Nom court du vertical métier, tel qu'il apparaît dans l'URL du back-office.

Paramètres de requête
pagestringOptionnel

Page de la vue d'ensemble.

Default: 0Pattern: \d+
per_pagestringOptionnel

Nombre de résultats par page (max. 100)

Default: 10Pattern: -?\d+
Paramètres d'en-tête
X-Accept-Versionstring · enumOptionnel

Version de l'API à appliquer. Vaut v1.0 si omise ; une valeur inconnue bascule sur la version la plus récente.

Default: v1.3Valeurs possibles:
Réponses
200

Liste des applications personnalisées

application/json
total_countintegerOptionnel
total_pagesintegerOptionnel
server_timeintegerOptionnel
get/{app_short}/customapps
GET /{app_short}/customapps HTTP/1.1
Host: api.daxium-air.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "apps": [
    {
      "banner": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "created_at": 1,
      "groups": [],
      "id": 1,
      "logo": "text",
      "menus": [
        {
          "created_at": 1,
          "icon": {
            "type": "text",
            "value": "text"
          },
          "index": 1,
          "label": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "target": "text",
          "updated_at": 1
        }
      ],
      "name": "text",
      "screens": [
        {
          "created_at": 1,
          "name": "text",
          "pages": [
            {
              "layout": [
                {
                  "height": 1,
                  "width": 1,
                  "x": 1,
                  "y": 1
                }
              ],
              "side_menu": true,
              "system_name": "text",
              "title": {
                "ANY_ADDITIONAL_PROPERTY": "text"
              },
              "widgets": [
                {
                  "background": "text",
                  "color": "text",
                  "icon": {
                    "ANY_ADDITIONAL_PROPERTY": "anything"
                  },
                  "index": 1,
                  "label": {
                    "ANY_ADDITIONAL_PROPERTY": "text"
                  },
                  "target": "text",
                  "type": "text"
                }
              ]
            }
          ],
          "updated_at": 1
        }
      ],
      "settings": [],
      "updated_at": 1
    }
  ],
  "total_count": 1,
  "total_pages": 1,
  "server_time": 1
}

Récupérer une application personnalisée

get
Autorisations
OAuth2passwordRequis

Envoyez l'access token sous la forme Authorization: Bearer <token>.

Token URL: Refresh URL:

OAuth2authorizationCodeRequis

Envoyez l'access token sous la forme Authorization: Bearer <token>.

Authorization URL: Token URL: Refresh URL:
Paramètres de chemin
app_shortstringRequis

Nom court du vertical métier, tel qu'il apparaît dans l'URL du back-office.

app_idstringRequisPattern: \d+
Paramètres de requête
updated_atstringOptionnel

Résultats modifiés depuis cette date

Default: nullPattern: \d+
Paramètres d'en-tête
X-Accept-Versionstring · enumOptionnel

Version de l'API à appliquer. Vaut v1.0 si omise ; une valeur inconnue bascule sur la version la plus récente.

Default: v1.3Valeurs possibles:
Réponses
200

Détails de l'application personnalisée

application/json
total_countintegerOptionnel
total_pagesintegerOptionnel
server_timeintegerOptionnel
get/{app_short}/customapps/{app_id}
GET /{app_short}/customapps/{app_id} HTTP/1.1
Host: api.daxium-air.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "app": {
    "banner": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "created_at": 1,
    "groups": [],
    "id": 1,
    "logo": "text",
    "menus": [
      {
        "created_at": 1,
        "icon": {
          "type": "text",
          "value": "text"
        },
        "index": 1,
        "label": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "target": "text",
        "updated_at": 1
      }
    ],
    "name": "text",
    "screens": [
      {
        "created_at": 1,
        "name": "text",
        "pages": [
          {
            "layout": [
              {
                "height": 1,
                "width": 1,
                "x": 1,
                "y": 1
              }
            ],
            "side_menu": true,
            "system_name": "text",
            "title": {
              "ANY_ADDITIONAL_PROPERTY": "text"
            },
            "widgets": [
              {
                "background": "text",
                "color": "text",
                "icon": {
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                },
                "index": 1,
                "label": {
                  "ANY_ADDITIONAL_PROPERTY": "text"
                },
                "target": "text",
                "type": "text"
              }
            ]
          }
        ],
        "updated_at": 1
      }
    ],
    "settings": [],
    "updated_at": 1,
    "button_type": "standard",
    "grant_all": true,
    "label_overlay": true,
    "splash": {
      "active": true,
      "aspect": "fit",
      "color": "text",
      "created_at": 1,
      "image": "text",
      "updated_at": 1
    },
    "widget_spacing": 0
  },
  "total_count": 1,
  "total_pages": 1,
  "server_time": 1
}

Récupérer un fichier d'une application personnalisée

get
Autorisations
OAuth2passwordRequis

Envoyez l'access token sous la forme Authorization: Bearer <token>.

Token URL: Refresh URL:

OAuth2authorizationCodeRequis

Envoyez l'access token sous la forme Authorization: Bearer <token>.

Authorization URL: Token URL: Refresh URL:
Paramètres de chemin
app_shortstringRequis

Nom court du vertical métier, tel qu'il apparaît dans l'URL du back-office.

app_idstringRequisPattern: \d+
uuidstringRequisPattern: [0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}
Paramètres d'en-tête
X-Accept-Versionstring · enumOptionnel

Version de l'API à appliquer. Vaut v1.0 si omise ; une valeur inconnue bascule sur la version la plus récente.

Default: v1.3Valeurs possibles:
Réponses
200

Contenu binaire du fichier

application/octet-stream
string · binaryOptionnel
get/{app_short}/customapps/{app_id}/file/{uuid}
GET /{app_short}/customapps/{app_id}/file/{uuid} HTTP/1.1
Host: api.daxium-air.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
binary

Mis à jour

Ce contenu vous a-t-il été utile ?